Package de.willuhn.jameica.hbci.server

# Enum Class InstantPaymentStatus

java.lang.Object
java.lang.Enum<InstantPaymentStatus>
de.willuhn.jameica.hbci.server.InstantPaymentStatus

All Implemented Interfaces:
  `Serializable`, `Comparable<InstantPaymentStatus>`, `Constable`

public enum InstantPaymentStatus extends Enum<InstantPaymentStatus>
Enum mit den Status-Codes von Instant-Payments.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`STATUS1`
`STATUS2`
`STATUS3`
`STATUS4`
`STATUS5`
`STATUS6`
`STATUS7`
`STATUS8`
`STATUS9`

## Method Summary

Modifier and Type
Method
Description
`static InstantPaymentStatus`
`determine(String status)`
Versucht, den Status anhand des uebergebenen Codes zu ermitteln.
`String`
`getDescription()`
Liefert einen sprechenden Beschreibungstext.
`int`
`getStatus()`
Liefert den Statuscode.
`boolean`
`isSuccess()`
Liefert true, wenn es sich um einen Erfolgsstatus handelt.
`static InstantPaymentStatus`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static InstantPaymentStatus[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### STATUS1

public static final InstantPaymentStatus STATUS1

### STATUS2

public static final InstantPaymentStatus STATUS2

### STATUS3

public static final InstantPaymentStatus STATUS3

### STATUS4

public static final InstantPaymentStatus STATUS4

### STATUS5

public static final InstantPaymentStatus STATUS5

### STATUS6

public static final InstantPaymentStatus STATUS6

### STATUS7

public static final InstantPaymentStatus STATUS7

### STATUS8

public static final InstantPaymentStatus STATUS8

### STATUS9

public static final InstantPaymentStatus STATUS9

## Method Details

### values

public static InstantPaymentStatus[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static InstantPaymentStatus valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getStatus

public int getStatus()
Liefert den Statuscode.

Returns:
  status der Status-Code.

### getDescription

public String getDescription()
Liefert einen sprechenden Beschreibungstext.

Returns:
  description

### isSuccess

public boolean isSuccess()
Liefert true, wenn es sich um einen Erfolgsstatus handelt.

Returns:
  success true, wenn es sich um einen Erfolgsstatus handelt.

### determine

public static InstantPaymentStatus determine(String status)
Versucht, den Status anhand des uebergebenen Codes zu ermitteln.

Parameters:
  `status` - der Status.
Returns:
  der Status oder NULL, wenn er nicht ermittelbar war.